WSE · Schnittstellen
Reporting
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Reporting
ERP API Dokumentation
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/catalog' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "version": 1, "datasets": [ { … } ], "default_page_size": 500, "max_page_size": 2000, "max_filter_depth": 6, "max_filter_conditions": 64, "comparison_operators": [ "eq", "ne", "gt", "ge", "lt", "le" ], "string_functions": [ "contains", "startswith", "endswith", "tolower", "toupper" ], "date_granularities": [ "year", "month", "day" ] }
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/reporting/v1/query' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"page_size": 500,
"cursor": "string",
"include_count": false,
"definition": {
"version": 1,
"dataset": "string",
"select": [
"string"
],
"filter": {
"kind": "comparison",
"operator": "eq",
"left": {
"kind": "field",
"field": "string",
"transform": "tolower"
},
"right": {
"kind": "field",
"field": "string",
"transform": "tolower"
}
},
"group_by": [
{
"field": "string",
"granularity": "year",
"alias": "string"
}
],
"aggregates": [
{
"method": "sum",
"field": "string",
"alias": "string"
}
],
"order_by": [
{
"field": "string",
"direction": "asc"
}
]
},
"visualization": {
"type": "table",
"category": "string",
"measures": [
"string"
],
"series": "string",
"title": "",
"category_label": "",
"value_label": "",
"orientation": "vertical",
"fill_missing": false,
"period_field": "string",
"period_start": "2019-08-24",
"period_end": "2019-08-24",
"relative_months": 1
}
}'Successful Response
{ "reference_date": "2019-08-24", "query_revision": 0, "period_start": "2019-08-24", "period_end": "2019-08-24", "columns": [ { … } ], "rows": [ { … } ], "next_cursor": "string", "count": 0 }
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/queries?after=497f6eca-6276-4993-bfeb-53cbbbba6f08&limit=50' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/reporting/v1/queries' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"description": "string",
"visibility": "private",
"definition": {
"version": 1,
"dataset": "string",
"select": [
"string"
],
"filter": {
"kind": "comparison",
"operator": "eq",
"left": {
"kind": "field",
"field": "string",
"transform": "tolower"
},
"right": {
"kind": "field",
"field": "string",
"transform": "tolower"
}
},
"group_by": [
{
"field": "string",
"granularity": "year",
"alias": "string"
}
],
"aggregates": [
{
"method": "sum",
"field": "string",
"alias": "string"
}
],
"order_by": [
{
"field": "string",
"direction": "asc"
}
]
},
"visualization": {
"type": "table",
"category": "string",
"measures": [
"string"
],
"series": "string",
"title": "",
"category_label": "",
"value_label": "",
"orientation": "vertical",
"fill_missing": false,
"period_field": "string",
"period_start": "2019-08-24",
"period_end": "2019-08-24",
"relative_months": 1
}
}'Successful Response
{ "name": "string", "description": "string", "visibility": "private", "definition": { "version": 1, "dataset": "string", "select": [ … ], "filter": { … }, "group_by": [ … ], "aggregates": [ … ], "order_by": [ … ] }, "visualization": { "type": "table", "category": "string", "measures": [ … ], "series": "string", "title": "", "category_label": "", "value_label": "", "orientation": "vertical", "fill_missing": false, "period_field": "string", "period_start": "2019-08-24", "period_end": "2019-08-24", "relative_months": 1 }, "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "revision": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "name": "string", "description": "string", "visibility": "private", "definition": { "version": 1, "dataset": "string", "select": [ … ], "filter": { … }, "group_by": [ … ], "aggregates": [ … ], "order_by": [ … ] }, "visualization": { "type": "table", "category": "string", "measures": [ … ], "series": "string", "title": "", "category_label": "", "value_label": "", "orientation": "vertical", "fill_missing": false, "period_field": "string", "period_start": "2019-08-24", "period_end": "2019-08-24", "relative_months": 1 }, "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "revision": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }
# Example only: replace the instance URL, token and sample values before use.
curl --request PUT \
--url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"description": "string",
"visibility": "private",
"definition": {
"version": 1,
"dataset": "string",
"select": [
"string"
],
"filter": {
"kind": "comparison",
"operator": "eq",
"left": {
"kind": "field",
"field": "string",
"transform": "tolower"
},
"right": {
"kind": "field",
"field": "string",
"transform": "tolower"
}
},
"group_by": [
{
"field": "string",
"granularity": "year",
"alias": "string"
}
],
"aggregates": [
{
"method": "sum",
"field": "string",
"alias": "string"
}
],
"order_by": [
{
"field": "string",
"direction": "asc"
}
]
},
"visualization": {
"type": "table",
"category": "string",
"measures": [
"string"
],
"series": "string",
"title": "",
"category_label": "",
"value_label": "",
"orientation": "vertical",
"fill_missing": false,
"period_field": "string",
"period_start": "2019-08-24",
"period_end": "2019-08-24",
"relative_months": 1
},
"revision": 1
}'Successful Response
{ "name": "string", "description": "string", "visibility": "private", "definition": { "version": 1, "dataset": "string", "select": [ … ], "filter": { … }, "group_by": [ … ], "aggregates": [ … ], "order_by": [ … ] }, "visualization": { "type": "table", "category": "string", "measures": [ … ], "series": "string", "title": "", "category_label": "", "value_label": "", "orientation": "vertical", "fill_missing": false, "period_field": "string", "period_start": "2019-08-24", "period_end": "2019-08-24", "relative_months": 1 }, "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "revision": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08?revision=1' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08/execute' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"page_size": 500,
"cursor": "string",
"include_count": false,
"period": {
"period_start": "2019-08-24",
"period_end": "2019-08-24",
"relative_months": 1
},
"period_field": "string",
"reference_date": "2019-08-24",
"query_revision": 1
}'Successful Response
{ "reference_date": "2019-08-24", "query_revision": 0, "period_start": "2019-08-24", "period_end": "2019-08-24", "columns": [ { … } ], "rows": [ { … } ], "next_cursor": "string", "count": 0 }
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/execution-context' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/dashboards?after=497f6eca-6276-4993-bfeb-53cbbbba6f08&limit=50' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
--url 'https://your-instance.example.invalid/reporting/v1/dashboards' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"description": "string",
"visibility": "private",
"configuration": {
"version": 1,
"period": {
"period_start": "2019-08-24",
"period_end": "2019-08-24",
"relative_months": 1
},
"widgets": [
{
"id": "string",
"query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
"x": 0,
"y": 0,
"w": 6,
"h": 5,
"use_dashboard_period": true,
"period_field": "string"
}
]
}
}'Successful Response
{ "name": "string", "description": "string", "visibility": "private", "configuration": { "version": 1, "period": { … }, "widgets": [ … ] }, "revision": 1, "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'Successful Response
{ "name": "string", "description": "string", "visibility": "private", "configuration": { "version": 1, "period": { … }, "widgets": [ … ] }, "revision": 1, "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }
# Example only: replace the instance URL, token and sample values before use.
curl --request PUT \
--url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"description": "string",
"visibility": "private",
"configuration": {
"version": 1,
"period": {
"period_start": "2019-08-24",
"period_end": "2019-08-24",
"relative_months": 1
},
"widgets": [
{
"id": "string",
"query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
"x": 0,
"y": 0,
"w": 6,
"h": 5,
"use_dashboard_period": true,
"period_field": "string"
}
]
},
"revision": 1
}'Successful Response
{ "name": "string", "description": "string", "visibility": "private", "configuration": { "version": 1, "period": { … }, "widgets": [ … ] }, "revision": 1, "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
--url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08?revision=1' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/$metadata' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Customers' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Customers/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Customers(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Products' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Products/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Products(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Services' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Services/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Services(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries/$count' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
--url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries(string)' \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'